using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Net;
using System.Web;
using System.Web.Mvc;
using RedSocial.Models;

using Microsoft.AspNet.Identity;
using Microsoft.AspNet.Identity.Owin;
using Microsoft.Owin.Security;

namespace RedSocial.Controllers
{
    public class AdminController : Controller
    {
        private Entities db = new Entities();

        // GET: Admin
        [Authorize(Roles = GlobalConstants.RoleAdmin)]
        public ActionResult Index()
        {
            ViewBag.Roles = db.AspNetRoles.ToList();
            ViewBag.Sexes = db.Sexes.ToList();
            ViewBag.AspNetUsers = db.AspNetUsers.ToList();
            ViewBag.Comments = db.Comments.ToList();
            ViewBag.Likes = db.Likes.ToList();
            ViewBag.Medias = db.Medias.ToList();
            ViewBag.Posts = db.Posts.ToList();
            return View();
        }

       
    }
}
